Bug 4774 - PCMCIA CD-ROM install fails on Sony Vaio
PCMCIA CD-ROM install fails on Sony Vaio
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
All Linux
low Severity high
: ---
: ---
Assigned To: Cristian Gafton
Depends On:
  Show dependency treegraph
Reported: 1999-08-29 23:48 EDT by Andrew Pam
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Andrew Pam 1999-08-29 23:48:57 EDT
When installing RH 6.0 built May 26 1999 on my new Sony Vaio
PCG-505TR laptop, the Sony PCMCIA IDE CD-ROM drive boots the
RH6 CD OK and (with the PCMCIA supplementary floppy)
successfully insmods pcmcia_core, i82365 and ds modules,
but cannot access the CD-ROM for installation with the
following error messages in the system log window:

<30> cardmgr[13]: Card Services release does not match!
<30> cardmgr[13]: socket 0: Ninja ATA executing 'insmod
<4> hdc: UJDB110, ATAPI CDROM drive
<4> ide2: ports already in use, skipping probe
<4> ide1 at 0x180-0x187,0x386 on irq 3
<4> hdc: ATAPI 14x CD-ROM drive, 128kb Cache
<6> Uniform CDROM driver revision: 2.54
<6> ide_cs: hdc: Vcc=5.0, Vpp=0.0
<30> cardmgr[13]: executing './ide start hdc'
<30> + cat: not found
<30> + ./ide: /sbin/ide_info: not found
<30> + usage: ./ide [action] [devicename]
<30> start cmd exited with status 1

A workaround documented on the Linux Laptop pages for RH5.2
still works, to start linux with the following parameters:
'ide2=0x180,0x386 cdrom=hde'

It is then necessary to change the /dev/cdrom symlink from
/dev/hde to /dev/hdc after installation, since the PCMCIA
drivers work as normal after RH6 is sucessfully installed.
The bug seems to be in the PCMCIA installation floppy only.

Note You need to log in before you can comment on or make changes to this bug.